aboutsummaryrefslogtreecommitdiff
path: root/t/test-lib.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2005-12-10 20:55:32 -0800
committerJunio C Hamano <junkio@cox.net>2005-12-10 20:55:32 -0800
commiteea420693befc2f876079a8a4585ea8ebf07c047 (patch)
treefa577fa4487251d2cc2fb0d0e2fddbfa4e9e7c02 /t/test-lib.sh
parent73ab46d6d03fc38e7b57f7fb731da432d4433268 (diff)
downloadgit-eea420693befc2f876079a8a4585ea8ebf07c047.tar.gz
git-eea420693befc2f876079a8a4585ea8ebf07c047.tar.xz
t0000: catch trivial pilot errors.
People seem to be getting test failure from t6021 not becuase git is faulty but because they forgot to install "merge". Check this and other trivial pilot errors in the first test. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 't/test-lib.sh')
-rwxr-xr-xt/test-lib.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 447d9e251..2819bef1c 100755
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -179,11 +179,16 @@ export PATH GIT_EXEC_PATH
PYTHON=`sed -e '1{
s/^#!//
q
-}' ../git-merge-recursive` &&
+}' ../git-merge-recursive` || {
+ error "You haven't built things yet, have you?"
+}
"$PYTHON" -c 'import subprocess' 2>/dev/null || {
PYTHONPATH=$(pwd)/../compat
export PYTHONPATH
}
+test -d ../templates/blt || {
+ error "You haven't built things yet, have you?"
+}
# Test repository
test=trash
@@ -191,6 +196,6 @@ rm -fr "$test"
mkdir "$test"
cd "$test"
"$GIT_EXEC_PATH/git" init-db --template=../../templates/blt/ 2>/dev/null ||
-error "cannot run git init-db"
+error "cannot run git init-db -- have you built things yet?"
mv .git/hooks .git/hooks-disabled